Subject: [MMUSIC] Review of rfc4566bis-14

From: Jonathan Lennox <[email-masked]>
Date: Fri, 6 Mar 2015 22:27:09 +0000

I’ve reviewed rfc4566bis-14, generally things look good.

I have only a few editorial comments:

There are some places where the terminology change of “media” to “media description” is not complete.  E.g. in section 5,

   The connection ("c=") information in the session-level section
   applies to all the media of that session unless overridden by
   connection information in the media description.  For instance, in
   the example below, each audio media behaves as if it were given a
   "c=IN IP4 233.252.0.2".

“each audio media” should be “each audio media description”.

In the end of section 5:

   (this requirement is for compatibility with
   [RFC4566<https://tools.ietf.org/html/rfc4566>] and other early SDP-related standards, which predate the
   development of internationalised domain names).

The citation in 4566 was to RFC2327; in this case, for historical accuracy, i think the original reference should be kept.

Section 5.8:

   CT If the bandwidth of a session or media in a session is different
      from the bandwidth implicit from the scope, a "b=CT:..." line
      SHOULD be supplied for the session giving the proposed upper limit
      to the bandwidth used (the "multimedia conference total"
      bandwidth).  The primary purpose of this is to give an approximate
      idea as to whether two or more sessions can coexist
      simultaneously.  When using the CT modifier with RTP, if several
      RTP sessions are part of the multimedia conference, the multimedia
      conference total refers to total bandwidth of all RTP sessions.

Since “CT” stands for “Conference Total”, I’d remove the word “multimedia” from the quoted parenthetical phrase and the explanation in the last sentence. The point is to explain the acronym.

In the “Changes from RFC 4566” section, the addition of ABNF for the attributes section should be mentioned.